"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.POST = exports.GET = void 0;
const rewards_1 = require("../../../models/rewards");
const GET = async (req, res) => {
    const manager = req.scope.resolve("manager");
    const rewardsRepo = manager.getRepository(rewards_1.Rewards);
    return res.json({
        rewards: await rewardsRepo.find(),
    });
};
exports.GET = GET;
const POST = async (req, res) => {
    const manager = req.scope.resolve("manager");
    const rewardsRepo = manager.getRepository(rewards_1.Rewards);
    const { user_name, email, available_rewards } = req.body;
    if (!user_name || !email || available_rewards == null) {
        return res.status(400).json({
            message: "Missing required fields: user_name, email, available_rewards",
        });
    }
    const newReward = rewardsRepo.create({
        user_name,
        email,
        available_rewards,
    });
    await rewardsRepo.save(newReward);
    return res.status(201).json({
        message: "Reward created successfully",
        reward: newReward,
    });
};
exports.POST = POST;
